import { useEffect } from 'react';
import { useWallStore } from '../../../../store/builder/useWallStore'
import WallInstance from './instance/wallInstance';

function WallInstances() {
    const { walls } = useWallStore();

    useEffect(() => {
        // console.log('walls: ', walls);
    }, [walls])

    return (
        <>
            {walls.map((wall) => (
                <WallInstance key={wall.wallUuid} wall={wall} />
            ))}
        </>
    )
}

export default WallInstances