import Line from '../../../line/line'
import Point from '../../../point/point';
import { useToggleView } from '../../../../../store/builder/store';

function WallInstance({ wall }: { readonly wall: Wall }) {
    const { toggleView } = useToggleView();

    return (
        <>
            {toggleView && (
                <>
                    <Point point={wall.points[0]} />
                    <Line points={wall.points} />
                    <Point point={wall.points[1]} />
                </>
            )}
        </>
    )
}

export default WallInstance